Video Skills back online

2 Comments
  1. Author
    A1798 11 months ago

    ?

  2. John Hodgson M.M.Inst.V. 11 months ago

    I operate now just using Premiere Pro CS3. I need to reload this
    following a computer service. Adobe says I need to provide details of previous versions I have held. I did have PP 1.5 a long time ago but threw this out. What is the point of this by Adobe?
    I bought some new underpants recently but the manufacturers
    did not want to see my old pair!

Leave a reply

Promoting Professionalism in Video Production

© 2018 Institute of Videography Ltd

Close
loading...

Log in with your credentials

or    

Forgot your details?

Create Account